Supported devices with ZTE

The target Android device must be running on 2.1 or above OS version!


* Please note that some devices could have a problem with the installation of TrackingCell application or some features might not function properly.

Can't find your particular model on the list? Contact us, we will be glad to help you!